%define name	castpodder
%define version 5.3
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Graphical podcast catcher and player
Version: 	%{version}
Release: 	%{release}

Source:	http://dev-1.borgforge.net:82/castpodder/chrome/site/downloads/CastPodder-%{version}.tar.bz2
Patch1: castpodder-5.1-nonag.patch
URL:		http://www.castpodder.net/
License:	GPL
Group:		Networking/News
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	wxPythonGTK pyxmms python python-libxml2
Requires:       id3
BuildRequires:  ImageMagick
BuildArch:	noarch

Provides:       iPodder ipodder
Obsoletes:      iPodder ipodder

%description
CastPodder is technically a "Media Aggregator" - a program that allows you to
select and download audio files from anywhere on the Internet to your desktop.

CastPodder makes the process easy by helping you select audio files from among
the thousands of audio sources on the web and downloading those files to your
computer. Once you select a feed or location, it will download those files
automatically at times you specify and have the files waiting for you on your
computer, so you don't have to spend a lot of time manually selecting and
waiting for downloads. You can play your selected audio files using "jukebox"
software, or load them on to your portable digital media player to play
anytime you want.

%prep
%setup -q -n %name
%patch1 -p1 -b .nonag
chmod 755 `find -name '*.py'`
perl -pi -e 's/opt\/CastPodder/usr\/share\/castpodder/g' CastPodder.sh
perl -pi -e 's/\#\!\/bin\/python/\#\!\/usr\/bin\/python/' `find -name '*.py'`
perl -pi -e 's/\#\!\/usr\/bin\/python2\.3/\#\!\/usr\/bin\/python/' `find -name '*.py'`

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/%_datadir/%{name}
install -m755 CastPodder.sh -D %buildroot/%_bindir/%{name}
cp -r * %buildroot/%_datadir/%{name}
chmod 755 %buildroot/%_datadir/%{name}/*/*.py
rm -f %buildroot/%_datadir/%{name}/{Changelog,gpl.txt,INSTALL,install.sh,castpodder.desktop,CastPodder.sh,CastPodder.spec,KNOWN-ISSUES,make-distribution.sh,NOTES,LICENSE,README,TODO}
rm -fr %buildroot/%_datadir/%{name}/build
rm -rf %buildroot/%_datadir/%name/tools/id3-tool/*
rm -rf %buildroot/%_datadir/%name/tools/id3-*.tar.gz
ln -s %_bindir/id3 %buildroot/%_datadir/%name/tools/id3-tool/

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="CastPodder" longtitle="Podcast catcher" section="Internet/News" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=CastPodder
Comment=Podcast catcher
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-Internet-News;Network;News;
StartupNotify=true
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -transparent white CastPodder-48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -transparent white CastPodder-32.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -transparent white CastPodder-16.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc KNOWN-ISSUES NOTES README TODO
%{_bindir}/%name
%{_datadir}/%name
%_datadir/applications/mandriva*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Wed Nov 01 2006 Götz Waschk <waschk@mandriva.org> 5.3-1mdv2007.0
+ Revision: 74974
- new version

* Tue Oct 31 2006 Götz Waschk <waschk@mandriva.org> 5.2-1mdv2007.1
+ Revision: 74759
- Import castpodder



* Tue Oct 31 2006 Gtz Waschk <waschk@mandriva.org> 5.2-1mdv2007.1
- unpack patches
- drop patch 0
- new version

* Mon Aug 28 2006 Gtz Waschk <waschk@mandriva.org> 5.1-5mdv2007.0
- depend on id3

* Mon Aug 28 2006 Gtz Waschk <waschk@mandriva.org> 5.1-4mdv2007.0
- make the icon transparent

* Tue Aug 22 2006 Gtz Waschk <waschk@mandriva.org> 5.1-3mdv2007.0
- patch away the nag screen

* Thu Jul 27 2006 Gtz Waschk <waschk@mandriva.org> 5.1-2mdv2007.0
- fix German translation

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 5.1-1mdv2007.0
- New release 5.1

* Thu Jul 20 2006 Gtz Waschk <waschk@mandriva.org> 5.0-2mdv2007.0
- xdg menu

* Sun Apr 30 2006 Gtz Waschk <waschk@mandriva.org> 5.0-1mdk
- new URL
- New release 5.0

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 4.0-1mdk
- New release 4.0

* Tue Dec 13 2005 Gtz Waschk <waschk@mandriva.org> 4.0-1mdk
- new URL
- new version

* Fri Nov 25 2005 Olivier Blin <oblin@mandriva.com> 3.2-2mdk
- really mean 3.2

* Tue Nov 22 2005 Götz Waschk <waschk@mandriva.org> 3.2-1mdk
- New release 3.2

* Sun Oct  9 2005 Gtz Waschk <waschk@mandriva.org> 3.0-1mdk
- renamed from ipodder
- new version

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.9-1mdk
- New release 2.1.9

* Tue Sep 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1-2mdk
- Obsolete/provide iPodder 
- mkrel 

* Fri Aug 26 2005 Austin Acton <austin@mandriva.org> 2.1-1mdk
- initial package
